Dist::Zilla::Role::Plugin(3)

NAME
Dist::Zilla::Role::Plugin - something that gets plugged in to Dist::Zilla

VERSION
version 4.300016

DESCRIPTION
The Plugin role should be applied to all plugin classes. It provides a few key methods and attributes that all plugins will need.

ATTRIBUTES

  plugin_name
The plugin name is generally determined when configuration is read.

  zilla
This attribute contains the Dist::Zilla object into which the plugin was plugged.

METHODS

  log
The plugin's "log" method delegates to the Dist::Zilla object's "log" in Dist::Zilla method after including a bit of argument-munging.

AUTHOR
Ricardo SIGNES <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.